linuxgurugamer

[1.8.x] RCS Build Aid Continued - New Dependencies

Recommended Posts

Hey,

sorry for the (maybe) dumb question, but does it work with KSP 1.7.3?

 

I haven't played KSP for more than 12 months and now I'm trying to update all my favorite mods, but many aren't marked as compatible in CKAN.

(So is there a big change, for the mods, between 1.7/1.7.1/1.7.2/1.7.3?)

Share this post


Link to post
Share on other sites
Posted (edited)
19 minutes ago, N3N said:

Hey,

sorry for the (maybe) dumb question, but does it work with KSP 1.7.3?

 

I haven't played KSP for more than 12 months and now I'm trying to update all my favorite mods, but many aren't marked as compatible in CKAN.

(So is there a big change, for the mods, between 1.7/1.7.1/1.7.2/1.7.3?)

Works fine! 

Most mods going back to ~1.5 work in 1.7 with no issues. 

Edited by Jognt

Share this post


Link to post
Share on other sites
1 minute ago, Jognt said:

Works fine! 

Hey,

Thank you!

 

So all mods that are marked only for 1.7/1.7.1/1.7.2, are still working with 1.7.3 or is it more complicated?

Share this post


Link to post
Share on other sites
Posted (edited)
3 minutes ago, N3N said:

Hey,

Thank you!

 

So all mods that are marked only for 1.7/1.7.1/1.7.2, are still working with 1.7.3 or is it more complicated?

 Not more complicated. You have it correct

Edited by linuxgurugamer

Share this post


Link to post
Share on other sites
1 minute ago, linuxgurugamer said:

 Not more complicated. You have it correct

Hey,

Thank you.

 

So it's just a "CKAN-setting", that so many mods (for KSP 1.7/1.7.1/1.7.2) are marked as incompatible with KSP 1.7.3?

And I can just set CKAN to allow all 1.7.x mods?

Share this post


Link to post
Share on other sites
28 minutes ago, N3N said:

Hey,

Thank you.

 

So it's just a "CKAN-setting", that so many mods (for KSP 1.7/1.7.1/1.7.2) are marked as incompatible with KSP 1.7.3?

And I can just set CKAN to allow all 1.7.x mods?

Yes.  AFAIK, there are only one or two mods which are very version specific, Kopernicus and KIS

Share this post


Link to post
Share on other sites
1 minute ago, linuxgurugamer said:

Yes.  AFAIK, there are only one or two mods which are very version specific, Kopernicus and KIS

Hey,

Thank you.

Share this post


Link to post
Share on other sites
48 minutes ago, N3N said:

Hey,

Thank you.

 

So it's just a "CKAN-setting", that so many mods (for KSP 1.7/1.7.1/1.7.2) are marked as incompatible with KSP 1.7.3?

And I can just set CKAN to allow all 1.7.x mods?

It’s not that they’re incompatible. They’ve just not been specifically marked as *compatible*. ;) 

Share this post


Link to post
Share on other sites
2 minutes ago, Jognt said:

It’s not that they’re incompatible. They’ve just not been specifically marked as *compatible*. ;) 

Hey,

Ok, but "normally" they can/should work?

Share this post


Link to post
Share on other sites
29 minutes ago, N3N said:

Hey,

Ok, but "normally" they can/should work?

Yup. When in doubt, checking a mod’s forum thread always helps. Chances are that someone will have asked. 

With regards to 1.7+, you’re pretty much good to go with all of them. Except the edge cases like Kopernicus, but that’ll give you a dialog box telling you it won’t work if you were to try it on a version of KSP it was not compiled for. 

Share this post


Link to post
Share on other sites
2 minutes ago, Jognt said:

Yup. When in doubt, checking a mod’s forum thread always helps. Chances are that someone will have asked. 

With regards to 1.7+, you’re pretty much good to go with all of them. Except the edge cases like Kopernicus, but that’ll give you a dialog box telling you it won’t work if you were to try it on a version of KSP it was not compiled for. 

Hey,

Thank you.

Share this post


Link to post
Share on other sites
10 hours ago, linuxgurugamer said:

Yes.  AFAIK, there are only one or two mods which are very version specific, Kopernicus and KIS

And KJRn. IR next too, but I'm not 100% sure about IR next. There was several changes for robotic parts between 1.7.x versions. Other mods that don't touch those parts should work fine.

Share this post


Link to post
Share on other sites
Posted (edited)

Hi there,

I recently bit the bullet, made the jump from 1.2 to 1.7 and updated all my mods (20 give or take). Everything seems to work fine except for two: EER and RCS build aid, so two mods that are supposed to load in VAB.

RCS Build Aid does not show any signs of loading, there's no icon in VAB, no nothing, as if it wasn't in my GameData folder.

I tried re-installing and I tried a 1.6 version of the mod. Same issue.

Any idea what may be the cause of this?

Cheers!

 

[Edit: I'm not using CKAN.]

Edited by Qaspar

Share this post


Link to post
Share on other sites
7 hours ago, Qaspar said:

[Edit: I'm not using CKAN.]

Then you most probably missing new deependencies. From OP:

The new version for KSP 1.4.1 has new dependencies

New Dependencies

CKAN has been updated to install the dependencies, if needed.

Share this post


Link to post
Share on other sites
6 hours ago, kcs123 said:

Then you most probably missing new deependencies. From OP:

The new version for KSP 1.4.1 has new dependencies

New Dependencies

CKAN has been updated to install the dependencies, if needed.

It was only written in big bold red letters, how could I have not missed that...!!! :rolleyes:

Thank you!

Share this post


Link to post
Share on other sites
15 hours ago, Qaspar said:

It was only written in big bold red letters, how could I have not missed that...!!! :rolleyes:

Thank you!

You are welcome. It happens even to veteran KSP players from time to time. No need to worry about that, it is good that issue is resolved easy and quickly.

Share this post


Link to post
Share on other sites

@linuxgurugamer , i wanted to inform you that I'm getting micro-lag spikes in VAB/SPH with the 0.9.8 version of RCS Build Aid, running on KSP 1.7.3 with Breaking Ground 1.2.0. They are very apparent when zooming/panning the camera. These spikes do not coincide with GC spikes, so I don't think it's memory leak issue. Log shows nothing. Could you look into this, please? If you can't recreate the issue, I'll start checking compatibility with other mods I have installed, but I hope that maybe it won't come to that :)

Share this post


Link to post
Share on other sites
56 minutes ago, aluc24 said:

@linuxgurugamer , i wanted to inform you that I'm getting micro-lag spikes in VAB/SPH with the 0.9.8 version of RCS Build Aid, running on KSP 1.7.3 with Breaking Ground 1.2.0. They are very apparent when zooming/panning the camera. These spikes do not coincide with GC spikes, so I don't think it's memory leak issue. Log shows nothing. Could you look into this, please? If you can't recreate the issue, I'll start checking compatibility with other mods I have installed, but I hope that maybe it won't come to that :)

Does it happen all the time, or only when RCS Build Aid is enabled?

How big is the vessel? 

How many RCS ports?

How many Reaction wheels?

System specs, please

and, a log file, please

57 minutes ago, aluc24 said:

Log shows nothing

What may be nothing to you is something to a mod author.  Please always include the log file, since there is useful information there which is not necessarily an error

Edited by linuxgurugamer

Share this post


Link to post
Share on other sites
4 hours ago, linuxgurugamer said:

Does it happen all the time, or only when RCS Build Aid is enabled?

How big is the vessel? 

How many RCS ports?

How many Reaction wheels?

and, a log file, please

Forgive me, my mistake, I must have misdiagnosed. It appears that his problem is present even in stock KSP 1.7.3, especially when editing craft with 100 parts or more. It's just not readily apparent, which is why I made a mistake while diagnosing which mods are causing it.

Share this post


Link to post
Share on other sites

Some slightly off topic discussion has been split off into:

 

Share this post


Link to post
Share on other sites

Hoping linuxgurugamer has a chance to update this mod soon.     I did not realize how much I use it until I could not balance RCS.   

Edited by Twidget_Gray

Share this post


Link to post
Share on other sites
15 hours ago, Twidget_Gray said:

Looks like the mod no longer gives you lines show your RCS Thrust Balance.  

It does, what are you seeing?

Share this post


Link to post
Share on other sites

After the 1.8 the Light blue lines from from the RCS parts does not appear.   Nor do the Red or Green Arrows   The RCS tool does show the numeric values.    The arrows makes it easy to balance rcs try to it with the # values is a challenge.  lol 

Edited by Twidget_Gray

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.